Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
List authorize
GET
/api/v1/oauth/authorize
const url = 'https://api.pitch2sale.com/api/v1/oauth/authorize?client_id=example&redirect_uri=https%3A%2F%2Fexample.com&scope=example&response_type=code&state=example&code_challenge_method=S256';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.pitch2sale.com/api/v1/oauth/authorize?client_id=example&redirect_uri=https%3A%2F%2Fexample.com&scope=example&response_type=code&state=example&code_challenge_method=S256' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”client_id
required
string
redirect_uri
required
string format: uri
scope
required
string
response_type
required
string
state
required
string
code_challenge
string
code_challenge_method
string
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}